#include<stdio.h>

int broj(int cj){
int br=0;
if(cj==0)return 0;

while(cj!=0){
if(cj>=5){cj-=5;br++;
}else if(cj>=2){cj-=2;br++;}
else {cj-=1;br++;}
}
return br;
}


main(){
	long long v;
	int brnov=0;
	scanf("%lld", &v);
	while(v>0){
		brnov+=broj(v%10);
		v/=10;
	}
	printf("%d", brnov);
}